Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchCodeGen extends Interface

  Factory methods used by TreeMakers to make the actual trees.

  Factory methods used by TreeMakers to make the actual trees.

  We have two modes in which to emit trees: optimized (the default) and pure (aka "virtualized": match is parametric in its monad).

  Definition Classes
    patmat
-  trait OptimizedCodegen extends CodegenCore with TypedSubstitution with MatchMonadInterface
  Definition Classes
    MatchCodeGen
-  object optimizedCodegen extends CommonCodegen
  Definition Classes
    OptimizedCodegen
- OptimizedCasegen

c

scala.tools.nsc.transform.patmat.MatchCodeGen.OptimizedCodegen.optimizedCodegen

# OptimizedCasegen 

###

#### class OptimizedCasegen extends OptimizedCodegen.CommonCodegen with OptimizedCodegen.Casegen

Source
  MatchCodeGen.scala

Linear Supertypes
OptimizedCodegen.Casegen, OptimizedCodegen.CommonCodegen, OptimizedCodegen.AbsCodegen, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OptimizedCasegen
2. Casegen
3. CommonCodegen
4. AbsCodegen
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new OptimizedCasegen(matchEnd: Global.Symbol, nextCase: Global.Symbol)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from OptimizedCasegen to any2stringadd[OptimizedCasegen] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (OptimizedCasegen, B)
   Implicit
     This member is added by an implicit conversion from OptimizedCasegen to ArrowAssoc[OptimizedCasegen] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def _asInstanceOf(b: Global.Symbol, tp: Global.Type): Global.Tree
   Definition Classes
     CommonCodegen → AbsCodegen
7.  def _equals(checker: Global.Tree, binder: Global.Symbol): Global.Tree
   Definition Classes
     CommonCodegen → AbsCodegen
8.  def _isInstanceOf(b: Global.Symbol, tp: Global.Type): Global.Tree
   Definition Classes
     CommonCodegen → AbsCodegen
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  def drop(tgt: Global.Tree)(n: Int): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
12.  def ensuring(cond: (OptimizedCasegen) ⇒ Boolean, msg: ⇒ Any): OptimizedCasegen
    Implicit
      This member is added by an implicit conversion from OptimizedCasegen to Ensuring[OptimizedCasegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (OptimizedCasegen) ⇒ Boolean): OptimizedCasegen
    Implicit
      This member is added by an implicit conversion from OptimizedCasegen to Ensuring[OptimizedCasegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): OptimizedCasegen
    Implicit
      This member is added by an implicit conversion from OptimizedCasegen to Ensuring[OptimizedCasegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): OptimizedCasegen
    Implicit
      This member is added by an implicit conversion from OptimizedCasegen to Ensuring[OptimizedCasegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def flatMap(prev: Global.Tree, b: Global.Symbol, next: Global.Tree): Global.Tree
    Definition Classes
      OptimizedCasegen → Casegen
20.  def flatMapCond(cond: Global.Tree, res: Global.Tree, nextBinder: Global.Symbol, next: Global.Tree): Global.Tree
    Definition Classes
      OptimizedCasegen → Casegen
21.  def flatMapCondStored(cond: Global.Tree, condSym: Global.Symbol, res: Global.Tree, nextBinder: Global.Symbol, next: Global.Tree): Global.Tree
22.  def flatMapGuard(guardTree: Global.Tree, next: Global.Tree): Global.Tree
    Definition Classes
      OptimizedCasegen → Casegen
23.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from OptimizedCasegen to StringFormat[OptimizedCasegen] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
24.  def fun(arg: Global.Symbol, body: Global.Tree): Global.Tree
    Definition Classes
      CommonCodegen
25.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
27.  def ifThenElseZero(c: Global.Tree, thenp: Global.Tree): Global.Tree
    Definition Classes
      Casegen
28.  def index(tgt: Global.Tree)(i: Int): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  def matcher(scrut: Global.Tree, scrutSym: Global.Symbol, restpe: Global.Type)(cases: List[(OptimizedCodegen.Casegen) ⇒ Global.Tree], matchFailGen: Option[(Global.Tree) ⇒ Global.Tree]): Global.Tree
    Definition Classes
      OptimizedCasegen → AbsCodegen
31.  def mkZero(tp: Global.Type): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
35.  def one(res: Global.Tree): Global.Tree
    Definition Classes
      OptimizedCasegen → Casegen
36.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  def tupleSel(binder: Global.Symbol)(i: Int): Global.Tree
    Definition Classes
      CommonCodegen → AbsCodegen
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
42.  def zero: Global.Tree
    Attributes
      protected
    Definition Classes
      OptimizedCasegen → Casegen
43.  def →[B](y: B): (OptimizedCasegen, B)
    Implicit
      This member is added by an implicit conversion from OptimizedCasegen to ArrowAssoc[OptimizedCasegen] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from OptimizedCodegen.Casegen

### Inherited from OptimizedCodegen.CommonCodegen

### Inherited from OptimizedCodegen.AbsCodegen

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from OptimizedCasegen to any2stringadd[OptimizedCasegen]

### Inherited by implicit conversion StringFormat from OptimizedCasegen to StringFormat[OptimizedCasegen]

### Inherited by implicit conversion Ensuring from OptimizedCasegen to Ensuring[OptimizedCasegen]

### Inherited by implicit conversion ArrowAssoc from OptimizedCasegen to ArrowAssoc[OptimizedCasegen]

### Ungrouped